View Issue Details

IDProjectCategoryView StatusLast Update
0000678XdebugUsage problems (Wrong Results)public2011-08-13 15:18
ReporterkittAssigned Toderick 
PriorityhighSeveritycrashReproducibilityalways
Status closedResolutionfixed 
Product Version2.1.0 
Target VersionFixed in Version 
Summary0000678: XDebug segfault when IDE send "eval NonExistsClass"
DescriptionHere is xdebug.remote_log:

Log opened at 2011-04-04 00:05:18
-> <init xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" fileuri="file:///var/www/vf/index.php" language="PHP" protocol_version="1.0" appid="11975" idekey="4"><engine version="2.1.1"><![CDATA[Xdebug]]></engine><author><![CDATA[Derick Rethans]]></author><url><![CDATA[http://xdebug.org]]></url><copyright><![CDATA[Copyright (c) 2002-2011 by Derick Rethans]]></copyright></init>

<- feature_get -i 1 -n breakpoint_languages
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="feature_get" transaction_id="1" feature_name="breakpoint_languages" supported="0"></response>

<- step_into -i 2
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="step_into" transaction_id="2" status="break" reason="ok"><xdebug:message filename="file:///var/www/vf/index.php" lineno="2"></xdebug:message></response>

<- eval -i 3 -- bmV3IE5vbkV4aXN0c0NsYXNz
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="eval" transaction_id="3"><property address="-1074250240" type="null"></property></response>

<- stack_get -i 4
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="stack_get" transaction_id="4"><stack where="{main}" level="0" type="file" filename="file:///var/www/vf/xdebug eval" lineno="1"></stack></response>

<- run -i 5


After command "eval NonExistsClass" stack_get always return zero level is "filename="file:///var/www/vf/xdebug eval" lineno="1"" and any continuation command (run\step_into\step_over\step_out) becomes my web server got "500 - Internal Server Error" and write to error.log:
2011-04-05 00:07:37: (mod_fastcgi.c.2582) unexpected end-of-file (perhaps the fastcgi process died): pid: 11971 socket: unix:/tmp/php-fcgi.socket-1
2011-04-05 00:07:37: (mod_fastcgi.c.3367) response not received, request sent: 902 on socket: unix:/tmp/php-fcgi.socket-1 for /vf/index.php?XDEBUG_SESSION_START=4, closing connection
2011-04-05 00:07:37: (mod_fastcgi.c.1492) released proc: pid: 11971 socket: unix:/tmp/php-fcgi.socket-1 load: 0
and break debug session.

In my syslog i got an error:
Apr 5 00:07:38 kitt-dell kernel: [824565.537218] php5-cgi[11975]: segfault at 14 ip 001d0205 sp bff84000 error 4 in xdebug.so[1c6000+2f000]
Steps To Reproducekitt@kitt-dell:~/scripts$ debugclient
Xdebug Simple DBGp client (0.10.0)
Copyright 2002-2007 by Derick Rethans.
- libedit support: enabled

Waiting for debug server to connect.
Connect
<?xml version="1.0" encoding="iso-8859-1"?>
<init xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" fileuri="file:///var/www/vf/index.php" language="PHP" protocol_version="1.0" appid="11975" idekey="4"><engine version="2.1.1"><![CDATA[Xdebug]]></engine><author><![CDATA[Derick Rethans]]></author><url><![CDATA[http://xdebug.org]]></url><copyright><![CDATA[Copyright (c) 2002-2011 by Derick Rethans]]></copyright></init>
(cmd) feature_get -i 1 -n breakpoint_languages
<?xml version="1.0" encoding="iso-8859-1"?>
<response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="feature_get" transaction_id="1" feature_name="breakpoint_languages" supported="0"></response>
(cmd) step_into -i 2
<?xml version="1.0" encoding="iso-8859-1"?>
<response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="step_into" transaction_id="2" status="break" reason="ok"><xdebug:message filename="file:///var/www/vf/index.php" lineno="2"></xdebug:message></response>
(cmd) eval -i 3 -- bmV3IE5vbkV4aXN0c0NsYXNz
<?xml version="1.0" encoding="iso-8859-1"?>
<response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="eval" transaction_id="3"><property address="-1074250240" type="null"></property></response>
(cmd) stack_get -i 4
<?xml version="1.0" encoding="iso-8859-1"?>
<response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="stack_get" transaction_id="4"><stack where="{main}" level="0" type="file" filename="file:///var/www/vf/xdebug eval" lineno="1"></stack></response>
(cmd) run -i 5
Disconnect


Waiting for debug server to connect.
^C

If last command is step_into\step_over\step_out xdebug either disconnects with segfault.
Additional InformationSegfault repeats on xdebug2.1.0 from Ubuntu repository and xdebug2.1.1 version compiled from source.

Web-server is lighttpd/1.4.26 (ssl) with mod_fcgi+5.3.3-1ubuntu9.3 from official repository
TagsNo tags attached.
Operating SystemLinux 2.6.35-28-generic #49-Ubuntu 10.10 i686 GNU/Linux
PHP Version5.3.3

Activities

kitt

2011-04-04 14:09

reporter   ~0001713

Last edited: 2011-04-04 14:17

View 2 revisions

*XDebug segfault when IDE send "eval new NonExistsClass"
*Web-server is lighttpd/1.4.26 (ssl) with mod_fcgi+php5.3.3-1ubuntu9.3 from official repository

kitt

2011-04-05 14:42

reporter  

gdb-bt-full.txt (5,592 bytes)
(gdb) run
Starting program: /usr/bin/php -f ./test.php
[Thread debugging using libthread_db enabled]
[New Thread 0xb7c52b70 (LWP 9425)]
[Thread 0xb7c52b70 (LWP 9425) exited]

Program received signal SIGSEGV, Segmentation fault.
0x0092b205 in xdebug_execute_internal (current_execute_data=0x89372f4, return_value_used=1) at /home/kitt/????????/xdebug-2.1.1/xdebug.c:1317
1317 fse = xdebug_add_stack_frame(edata, edata->op_array, XDEBUG_INTERNAL TSRMLS_CC);
(gdb) bt full
#0 0x0092b205 in xdebug_execute_internal (current_execute_data=0x89372f4, return_value_used=1) at /home/kitt/????????/xdebug-2.1.1/xdebug.c:1317
        edata = 0x0
        fse = 0x119b82
        cur_opcode = 0x14
        do_return = 0
        function_nr = 0
#1 0x08360310 in zend_do_fcall_common_helper_SPEC (execute_data=0x89372f4) at /build/buildd/php5-5.3.3/Zend/zend_vm_execute.h:318
        opline = 0x8905b80
        should_change_scope = 0 '\000'
0000002 0x08336fde in execute (op_array=0x890583c) at /build/buildd/php5-5.3.3/Zend/zend_vm_execute.h:107
        ret = 0
        execute_data = 0x89372f4
        nested = 0 '\000'
        original_in_execution = 0 '\000'
        op_array = 0x8905b80
0000003 0x0092af8b in xdebug_execute (op_array=0x890583c) at /home/kitt/????????/xdebug-2.1.1/xdebug.c:1268
        dummy = 0x8789970
        edata = 0x0
        fse = 0x8979a70
        xfse = 0x8979a70
        magic_cookie = 0x0
        do_return = 0
        function_nr = 0
        le = 0x8937228
        eval_id = 0
0000004 0x0830cf06 in zend_execute_scripts (type=8, retval=0x0, file_count=3) at /build/buildd/php5-5.3.3/Zend/zend.c:1266
        i = 1
        file_handle = 0x890583c
        orig_op_array = 0x0
        orig_retval_ptr_ptr = 0x0
0000005 0x082b1654 in php_execute_script (primary_file=0xbffff374) at /build/buildd/php5-5.3.3/main/main.c:2288
        realfile = "/home/kitt/scripts/test.php\000\000\000\000\000\f\v\b\000?Q\000\324\244\031\000\000\000\000\000\000\000\000\000\v\000\000\000h\000\000\000\v\000\000\000S\000\000\000\220mv\000\370\243x\000_lv\000jov\000\006\223\021\000X\000\000\000\220\222c\000`u\376\267\300\243x\000\377\377\377\377\364\317\022\000\324\244\031\000\006\223\021\000\222(d\000\353\267\031\000`\224\376\267 Q\376\267\320P\376\267\002\000\000\000\300\360\021\000)\244\031\000(u\376\267\364\317\022\000\000\033c\000\021\000\000\000\304\341\377\277?\021\000\366\256\027\000Z\223\021\000\222(d\000\353\267\031\000\364\217x\000\021\000\000^\364/\031\000\314\351\377\277\315\351\377\277x\341\377\277\260\260\027\000l\341\377\277\304\b\031\000\210r\205\b\000\000\000\000\350\355\377\277\035y\030\000\314\351\377\277\272\b\031\000\064\000\000\000\250\222\376\267\021\000\000\000\000\000\000\000\001\000\000\000d\000\000\000\320P\376\267g\000\000\000 \356\377\277\210r\205\b"...
---Type <return> to continue, or q <return> to quit---
        __orig_bailout = 0xbffff18c
        __bailout = {{__jmpbuf = {142121328, 1, 142247552, -1073745752, 1528616864, -223828273}, __mask_was_saved = 0, __saved_mask = {__val = 0xbfffdf74}}}
        prepend_file_p = 0x0
        append_file_p = 0x0
        prepend_file = {type = ZEND_HANDLE_FILENAME, filename = 0x0, opened_path = 0x0, handle = {fd = 0, fp = 0x0, stream = {handle = 0x0, isatty = 0,
              mmap = {len = <unknown type>, pos = <unknown type>, map = 0x0, buf = 0x0, old_handle = 0x0, old_closer = 0}, reader = 0, fsizer = 0,
              closer = 0}}, free_filename = 0 '\000'}
        append_file = {type = ZEND_HANDLE_FILENAME, filename = 0x0, opened_path = 0x0, handle = {fd = 0, fp = 0x0, stream = {handle = 0x0, isatty = 0,
              mmap = {len = <unknown type>, pos = <unknown type>, map = 0x0, buf = 0x0, old_handle = 0x0, old_closer = 0}, reader = 0, fsizer = 0,
              closer = 0}}, free_filename = 0 '\000'}
        retval = 0
        primary_file = 0xbffff374
0000006 0x083a41bb in main (argc=3, argv=0xbffff4b4) at /build/buildd/php5-5.3.3/sapi/cli/php_cli.c:1196
        __bailout = {{__jmpbuf = {-1073744073, -1073744063, -1073742799, -1073742761, -1073742747, -1073742657}, __mask_was_saved = -1073742607,
            __saved_mask = {__val = 0xbffff4e4}}}
        exit_status = 1330401091
        c = 0
        file_handle = {type = 758722612, filename = 0x36363631 <Address 0x36363631 out of bounds>,
          opened_path = 0x36393139 <Address 0x36393139 out of bounds>, handle = {fd = 1459630640, fp = 0x57003230, stream = {handle = 0x57003230,
              isatty = 1329876553, mmap = {len = <unknown type>, pos = <unknown type>, map = 0x37323835,
                buf = 0x4f4e4700 <Address 0x4f4e4700 out of bounds>, old_handle = 0x4b5f454d, old_closer = 0x49525945}, reader = 0x435f474e,
              fsizer = 0x52544e4f, closer = 0x2f3d4c4f}}, free_filename = 116 't'}
        behavior = 1
        reflection_what = 0x3 <Address 0x3 out of bounds>
        orig_optind = -1073744336
        orig_optarg = 0x0
        arg_excp = 0xbffff4bc
        script_file = 0xbffff62d "-f"
        interactive = 1174368
        module_started = 1599294464
        request_started = 1953786219
        lineno = 1028801875
        exec_direct = 0x646c0b "\201\303\351#\024"
        exec_run = 0x83a2690 "U\211\345\203\344\360WVS\350\226\377\314\377\201\303\322r>"
        exec_begin = 0x8066c80 "1\355^\211\341\203\344\360PTRhPR:\bh`R:\bQVh\220&:\b\350\253\343\377\377\364\220\220\220\220\220\220\220\220\220\220\220\220\220\220U\211\345S\203\354\004\200=`\033y\b"
        exec_end = 0x0
        hide_argv = 0
---Type <return> to continue, or q <return> to quit---
        ini_entries_len = 2
(gdb) 
gdb-bt-full.txt (5,592 bytes)

kitt

2011-04-09 00:28

reporter  

gdb-bt-full2.txt (28,649 bytes)
kitt@kitt-dell:/tmp$ gdb php core-kitt-dell-php.612
GNU gdb (GDB) 7.2-ubuntu
Copyright (C) 2010 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "i686-linux-gnu".
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>...
Reading symbols from /usr/local/bin/php...done.
[New Thread 612]

warning: Can't read pathname for load map: Ошибка ввода/вывода.
Reading symbols from /lib/libcrypt.so.1...(no debugging symbols found)...done.
Loaded symbols for /lib/libcrypt.so.1
Reading symbols from /lib/libresolv.so.2...(no debugging symbols found)...done.
Loaded symbols for /lib/libresolv.so.2
Reading symbols from /lib/librt.so.1...(no debugging symbols found)...done.
Loaded symbols for /lib/librt.so.1
Reading symbols from /lib/libm.so.6...(no debugging symbols found)...done.
Loaded symbols for /lib/libm.so.6
Reading symbols from /lib/libdl.so.2...(no debugging symbols found)...done.
Loaded symbols for /lib/libdl.so.2
Reading symbols from /lib/libnsl.so.1...(no debugging symbols found)...done.
Loaded symbols for /lib/libnsl.so.1
Reading symbols from /usr/lib/libxml2.so.2...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libxml2.so.2
Reading symbols from /lib/libc.so.6...(no debugging symbols found)...done.
Loaded symbols for /lib/libc.so.6
Reading symbols from /lib/libpthread.so.0...(no debugging symbols found)...done.
Loaded symbols for /lib/libpthread.so.0
Reading symbols from /lib/ld-linux.so.2...(no debugging symbols found)...done.
Loaded symbols for /lib/ld-linux.so.2
Reading symbols from /lib/libz.so.1...(no debugging symbols found)...done.
Loaded symbols for /lib/libz.so.1
Reading symbols from /usr/local/lib/php/extensions/debug-non-zts-20090626/xdebug.so...done.
Loaded symbols for /usr/local/lib/php/extensions/debug-non-zts-20090626/xdebug.so
Reading symbols from /lib/libnss_files.so.2...(no debugging symbols found)...done.
Loaded symbols for /lib/libnss_files.so.2
Core was generated by `/usr/local/bin/php -f /var/www/test/index.php'.
Program terminated with signal 11, Segmentation fault.
#0  0x08469dad in _get_zval_ptr_ptr_cv (execute_data=0x981e280) at /home/kitt/Загрузки/php/php5-5.3.3/Zend/zend_execute.c:302
302		zval ***ptr = &CV_OF(node->u.var);
(gdb) bt full
#0  0x08469dad in _get_zval_ptr_ptr_cv (execute_data=0x981e280) at /home/kitt/Загрузки/php/php5-5.3.3/Zend/zend_execute.c:302
        ptr = 0x97edc64
#1  ZEND_ASSIGN_SPEC_CV_CONST_HANDLER (execute_data=0x981e280) at /home/kitt/Загрузки/php/php5-5.3.3/Zend/zend_vm_execute.h:24046
        opline = 0x97eddf4
        value = 0x97ede24
        variable_ptr_ptr = 0x1
#2  0x083f8a34 in ZEND_USER_OPCODE_SPEC_HANDLER (execute_data=0x981e280) at /home/kitt/Загрузки/php/php5-5.3.3/Zend/zend_vm_execute.h:706
        ret = 2
#3  0x083f6d96 in execute (op_array=0x97eda08) at /home/kitt/Загрузки/php/php5-5.3.3/Zend/zend_vm_execute.h:107
        ret = 0
        execute_data = 0x981e280
        nested = 1 '\001'
        original_in_execution = 0 '\000'
#4  0x00a452f7 in xdebug_execute (op_array=0x97eda08) at /home/kitt/Загрузки/xdebug-2.1.0/xdebug.c:1272
        dummy = 0x3252a39d
        edata = 0x0
        fse = 0x9861128
        xfse = 0x9861128
        magic_cookie = 0x0
        do_return = 0
        function_nr = 0
        le = 0x985f4e8
        eval_id = 0
#5  0x083ca75f in zend_execute_scripts (type=8, retval=0x0, file_count=3) at /home/kitt/Загрузки/php/php5-5.3.3/Zend/zend.c:1194
        files = 0xbfe4e664 ""
        i = 1
        file_handle = 0xbfe50914
        orig_op_array = 0x0
        orig_retval_ptr_ptr = 0x0
#6  0x08361147 in php_execute_script (primary_file=0xbfe50914) at /home/kitt/Загрузки/php/php5-5.3.3/main/main.c:2260
        realfile = "/var/www/test/index.php", '\000' <repeats 1237 times>, ">\371U", '\000' <repeats 21 times>"\226, \347U", '\000' <repeats 13 times>, "\021\000\000\000\230\000\000\000\021\000\000\000\201\000\000\000\220}b\000\370\263d\000_|b\000j\177b\000\000\000\000\000\210\000\000\000\000\000\000\000\247}b\000I\000\000\000\070\000\000\000\300\263d\000\364\237d\000\330\ns\t\230\021s\t>\371U\000\301*V\000\230\021s\t\340\ns\t@\000\345\277X\177:\b߀o\267\264Gv\b\004\000\000\000\253\210:\b\023\000\000\000\250\000\000\000\023\000\000\000\220\000\000\000\220}b\000\370\263d\000_|b\000j\177b\000\210\000\000\000\230\000\000\000\000\000\000\000\247}b\000\300\263d\000\370$\000\000\360\263d\000߀o\267\001", '\000' <repeats 11 times>"\254"...
        __orig_bailout = 0xbfe5082c
        __bailout = {{__jmpbuf = {-1075513532, 0, -1075513472, -1075509272, -110238141, 1555830572}, __mask_was_saved = 0, __saved_mask = {__val = {
                4294967295, 4993012, 134578117, 1, 3219453712, 4931894, 4995792, 3077805744, 1, 1, 0, 1, 5609876, 141861752, 0, 5198800, 141892160, 
---Type <return> to continue, or q <return> to quit---
                6594548, 6595808, 3219453736, 5561360, 6595808, 141892160, 141892308, 141982708, 3219453768, 138962774, 6595808, 134920, 6599664, 0, 
                6599616}}}}
        prepend_file_p = 0x0
        append_file_p = 0x0
        prepend_file = {type = ZEND_HANDLE_FILENAME, filename = 0x0, opened_path = 0x0, handle = {fd = 0, fp = 0x0, stream = {handle = 0x0, isatty = 0, 
              mmap = {len = 0, pos = 0, map = 0x0, buf = 0x0, old_handle = 0x0, old_closer = 0}, reader = 0, fsizer = 0, closer = 0}}, 
          free_filename = 0 '\000'}
        append_file = {type = ZEND_HANDLE_FILENAME, filename = 0x0, opened_path = 0x0, handle = {fd = 0, fp = 0x0, stream = {handle = 0x0, isatty = 0, 
              mmap = {len = 0, pos = 0, map = 0x0, buf = 0x0, old_handle = 0x0, old_closer = 0}, reader = 0, fsizer = 0, closer = 0}}, 
          free_filename = 0 '\000'}
        old_cwd = 0xbfe4e680 ""
        use_heap = 0 '\000'
        retval = 0
#7  0x08487f7d in main (argc=3, argv=0xbfe50aa4) at /home/kitt/Загрузки/php/php5-5.3.3/sapi/cli/php_cli.c:1192
        __orig_bailout = 0x0
        __bailout = {{__jmpbuf = {6594548, 0, 0, -1075508744, -89217469, -1605714644}, __mask_was_saved = 0, __saved_mask = {__val = {909653609, 
                0 <repeats 15 times>, 1869490176, 2712942, 0, 0, 0, 0, 4911878, 5257362, 134592534, 0, 0, 3077805744, 2, 4935872, 134561026, 3077811424}}}}
        exit_status = 0
        c = -1
        file_handle = {type = ZEND_HANDLE_MAPPED, filename = 0xbfe51608 "/var/www/test/index.php", opened_path = 0x0, handle = {fd = 159308804, 
            fp = 0x97edc04, stream = {handle = 0x97edc04, isatty = 0, mmap = {len = 94, pos = 0, map = 0xb7733000, 
                buf = 0xb7733000 <Address 0xb7733000 out of bounds>, old_handle = 0x981e0d8, old_closer = 0x83e1e89 <zend_stream_stdio_closer>}, 
              reader = 0x83e1e60 <zend_stream_stdio_reader>, fsizer = 0x83e1eae <zend_stream_stdio_fsizer>, closer = 0x83e1f91 <zend_stream_mmap_closer>}}, 
          free_filename = 0 '\000'}
        behavior = 1
        reflection_what = 0x0
        orig_optind = 1
        orig_optarg = 0x0
        arg_free = 0xbfe51608 "/var/www/test/index.php"
        arg_excp = 0xbfe50aac
        script_file = 0xbfe51608 "/var/www/test/index.php"
        interactive = 0
        module_started = 1
        request_started = 1
        lineno = 1
        exec_direct = 0x0
        exec_run = 0x0
        exec_begin = 0x0
---Type <return> to continue, or q <return> to quit---
        exec_end = 0x0
        param_error = 0x0
        hide_argv = 0
        ini_entries_len = 110
        
        
        
///////////////////////////////////////////////////////////////////////////
my phpinfo() now is 

kitt@kitt-dell:/tmp$ php -i
phpinfo()
PHP Version => 5.3.3

System => Linux kitt-dell 2.6.35-28-generic #49-Ubuntu SMP Tue Mar 1 14:40:58 UTC 2011 i686
Build Date => Apr  9 2011 10:39:11
Configure Command =>  './configure'  '--enable-debug'
Server API => Command Line Interface
Virtual Directory Support => disabled
Configuration File (php.ini) Path => /usr/local/lib
Loaded Configuration File => /usr/local/lib/php.ini
Scan this dir for additional .ini files => (none)
Additional .ini files parsed => (none)
PHP API => 20090626
PHP Extension => 20090626
Zend Extension => 220090626
Zend Extension Build => API220090626,NTS,debug
PHP Extension Build => API20090626,NTS,debug
Debug Build => yes
Thread Safety => disabled
Zend Memory Manager => enabled
Zend Multibyte Support => disabled
IPv6 Support => enabled
Registered PHP Streams => php, file, glob, data, http, ftp, phar  
Registered Stream Socket Transports => tcp, udp, unix, udg
Registered Stream Filters => convert.iconv.*, string.rot13, string.toupper, string.tolower, string.strip_tags, convert.*, consumed, dechunk


This program makes use of the Zend Scripting Language Engine:
Zend Engine v2.3.0, Copyright (c) 1998-2010 Zend Technologies
    with Xdebug v2.1.0, Copyright (c) 2002-2010, by Derick Rethans


 _______________________________________________________________________


Configuration

Core

PHP Version => 5.3.3

Directive => Local Value => Master Value
allow_call_time_pass_reference => Off => Off
allow_url_fopen => On => On
allow_url_include => Off => Off
always_populate_raw_post_data => Off => Off
arg_separator.input => & => &
arg_separator.output => & => &
asp_tags => Off => Off
auto_append_file => no value => no value
auto_globals_jit => On => On
auto_prepend_file => no value => no value
browscap => no value => no value
default_charset => no value => no value
default_mimetype => text/html => text/html
define_syslog_variables => Off => Off
disable_classes => no value => no value
disable_functions => no value => no value
display_errors => Off => Off
display_startup_errors => Off => Off
doc_root => no value => no value
docref_ext => no value => no value
docref_root => no value => no value
enable_dl => Off => Off
error_append_string => no value => no value
error_log => no value => no value
error_prepend_string => no value => no value
error_reporting => 22527 => 22527
exit_on_timeout => Off => Off
expose_php => On => On
extension_dir => /usr/local/lib/php/extensions/debug-non-zts-20090626 => /usr/local/lib/php/extensions/debug-non-zts-20090626
file_uploads => On => On
highlight.bg => <font style="color: #FFFFFF">#FFFFFF</font> => <font style="color: #FFFFFF">#FFFFFF</font>
highlight.comment => <font style="color: #FF8000">#FF8000</font> => <font style="color: #FF8000">#FF8000</font>
highlight.default => <font style="color: #0000BB">#0000BB</font> => <font style="color: #0000BB">#0000BB</font>
highlight.html => <font style="color: #000000">#000000</font> => <font style="color: #000000">#000000</font>
highlight.keyword => <font style="color: #007700">#007700</font> => <font style="color: #007700">#007700</font>
highlight.string => <font style="color: #DD0000">#DD0000</font> => <font style="color: #DD0000">#DD0000</font>
html_errors => Off => Off
ignore_repeated_errors => Off => Off
ignore_repeated_source => Off => Off
ignore_user_abort => Off => Off
implicit_flush => On => On
include_path => .:/usr/local/lib/php => .:/usr/local/lib/php
log_errors => On => On
log_errors_max_len => 1024 => 1024
magic_quotes_gpc => Off => Off
magic_quotes_runtime => Off => Off
magic_quotes_sybase => Off => Off
mail.add_x_header => On => On
mail.force_extra_parameters => no value => no value
mail.log => no value => no value
max_execution_time => 0 => 0
max_file_uploads => 20 => 20
max_input_nesting_level => 64 => 64
max_input_time => -1 => -1
memory_limit => -1 => -1
open_basedir => no value => no value
output_buffering => 0 => 0
output_handler => no value => no value
post_max_size => 8M => 8M
precision => 14 => 14
realpath_cache_size => 16K => 16K
realpath_cache_ttl => 120 => 120
register_argc_argv => On => On
register_globals => Off => Off
register_long_arrays => Off => Off
report_memleaks => On => On
report_zend_debug => Off => Off
request_order => GP => GP
safe_mode => Off => Off
safe_mode_exec_dir => no value => no value
safe_mode_gid => Off => Off
safe_mode_include_dir => no value => no value
sendmail_from => no value => no value
sendmail_path => /usr/sbin/sendmail -t -i  => /usr/sbin/sendmail -t -i 
serialize_precision => 100 => 100
short_open_tag => On => On
SMTP => localhost => localhost
smtp_port => 25 => 25
sql.safe_mode => Off => Off
track_errors => Off => Off
unserialize_callback_func => no value => no value
upload_max_filesize => 2M => 2M
upload_tmp_dir => no value => no value
user_dir => no value => no value
user_ini.cache_ttl => 300 => 300
user_ini.filename => .user.ini => .user.ini
variables_order => GPCS => GPCS
xmlrpc_error_number => 0 => 0
xmlrpc_errors => Off => Off
y2k_compliance => On => On
zend.enable_gc => On => On

ctype

ctype functions => enabled

date

date/time support => enabled
"Olson" Timezone Database Version => 2010.9
Timezone Database => internal
PHP Warning:  Unknown: It is not safe to rely on the system's timezone settings. You are *required* to use the date.timezone setting or the date_default_timezone_set() function. In case you used any of those methods and you are still getting this warning, you most likely misspelled the timezone identifier. We selected 'Asia/Vladivostok' for 'VLAST/11.0/DST' instead in Unknown on line 0
Default timezone => Asia/Vladivostok

Directive => Local Value => Master Value
date.default_latitude => 31.7667 => 31.7667
date.default_longitude => 35.2333 => 35.2333
date.sunrise_zenith => 90.583333 => 90.583333
date.sunset_zenith => 90.583333 => 90.583333
date.timezone => no value => no value

dom

DOM/XML => enabled
DOM/XML API Version => 20031129
libxml Version => 2.7.7
HTML Support => enabled
XPath Support => enabled
XPointer Support => enabled
Schema Support => enabled
RelaxNG Support => enabled

ereg

Regex Library => Bundled library enabled

fileinfo

fileinfo support => enabled
version => 1.0.5-dev

filter

Input Validation and Filtering => enabled
Revision => $Revision: 298196 $

Directive => Local Value => Master Value
filter.default => unsafe_raw => unsafe_raw
filter.default_flags => no value => no value

hash

hash support => enabled
Hashing Engines => md2 md4 md5 sha1 sha224 sha256 sha384 sha512 ripemd128 ripemd160 ripemd256 ripemd320 whirlpool tiger128,3 tiger160,3 tiger192,3 tiger128,4 tiger160,4 tiger192,4 snefru snefru256 gost adler32 crc32 crc32b salsa10 salsa20 haval128,3 haval160,3 haval192,3 haval224,3 haval256,3 haval128,4 haval160,4 haval192,4 haval224,4 haval256,4 haval128,5 haval160,5 haval192,5 haval224,5 haval256,5 

iconv

iconv support => enabled
iconv implementation => glibc
iconv library version => 2.12.1

Directive => Local Value => Master Value
iconv.input_encoding => ISO-8859-1 => ISO-8859-1
iconv.internal_encoding => ISO-8859-1 => ISO-8859-1
iconv.output_encoding => ISO-8859-1 => ISO-8859-1

json

json support => enabled
json version => 1.2.1

libxml

libXML support => active
libXML Compiled Version => 2.7.7
libXML Loaded Version => 20707
libXML streams => enabled

pcre

PCRE (Perl Compatible Regular Expressions) Support => enabled
PCRE Library Version => 8.02 2010-03-19

Directive => Local Value => Master Value
pcre.backtrack_limit => 100000 => 100000
pcre.recursion_limit => 100000 => 100000

PDO

PDO support => enabled
PDO drivers => sqlite, sqlite2

pdo_sqlite

PDO Driver for SQLite 3.x => enabled
SQLite Library => 3.6.23.1

Phar

Phar: PHP Archive support => enabled
Phar EXT version => 2.0.1
Phar API version => 1.1.1
SVN revision => $Revision: 298908 $
Phar-based phar archives => enabled
Tar-based phar archives => enabled
ZIP-based phar archives => enabled
gzip compression => disabled (install ext/zlib)
bzip2 compression => disabled (install pecl/bz2)
OpenSSL support => disabled (install ext/openssl)


Phar based on pear/PHP_Archive, original concept by Davey Shafik.
Phar fully realized by Gregory Beaver and Marcus Boerger.
Portions of tar implementation Copyright (c) 2003-2009 Tim Kientzle.
Directive => Local Value => Master Value
phar.cache_list => no value => no value
phar.readonly => On => On
phar.require_hash => On => On

posix

Revision => $Revision: 300764 $

Reflection

Reflection => enabled
Version => $Revision: 300393 $

session

Session Support => enabled
Registered save handlers => files user sqlite 
Registered serializer handlers => php php_binary 

Directive => Local Value => Master Value
session.auto_start => Off => Off
session.bug_compat_42 => Off => Off
session.bug_compat_warn => Off => Off
session.cache_expire => 180 => 180
session.cache_limiter => nocache => nocache
session.cookie_domain => no value => no value
session.cookie_httponly => Off => Off
session.cookie_lifetime => 0 => 0
session.cookie_path => / => /
session.cookie_secure => Off => Off
session.entropy_file => no value => no value
session.entropy_length => 0 => 0
session.gc_divisor => 1000 => 1000
session.gc_maxlifetime => 1440 => 1440
session.gc_probability => 1 => 1
session.hash_bits_per_character => 5 => 5
session.hash_function => 0 => 0
session.name => PHPSESSID => PHPSESSID
session.referer_check => no value => no value
session.save_handler => files => files
session.save_path => no value => no value
session.serialize_handler => php => php
session.use_cookies => On => On
session.use_only_cookies => On => On
session.use_trans_sid => 0 => 0

SimpleXML

Simplexml support => enabled
Revision => $Revision: 299424 $
Schema support => enabled

SPL

SPL support => enabled
Interfaces => Countable, OuterIterator, RecursiveIterator, SeekableIterator, SplObserver, SplSubject
Classes => AppendIterator, ArrayIterator, ArrayObject, BadFunctionCallException, BadMethodCallException, CachingIterator, DirectoryIterator, DomainException, EmptyIterator, FilesystemIterator, FilterIterator, GlobIterator, InfiniteIterator, InvalidArgumentException, IteratorIterator, LengthException, LimitIterator, LogicException, MultipleIterator, NoRewindIterator, OutOfBoundsException, OutOfRangeException, OverflowException, ParentIterator, RangeException, RecursiveArrayIterator, RecursiveCachingIterator, RecursiveDirectoryIterator, RecursiveFilterIterator, RecursiveIteratorIterator, RecursiveRegexIterator, RecursiveTreeIterator, RegexIterator, RuntimeException, SplDoublyLinkedList, SplFileInfo, SplFileObject, SplFixedArray, SplHeap, SplMinHeap, SplMaxHeap, SplObjectStorage, SplPriorityQueue, SplQueue, SplStack, SplTempFileObject, UnderflowException, UnexpectedValueException

SQLite

SQLite support => enabled
PECL Module version => 2.0-dev $Id: sqlite.c 298697 2010-04-28 12:10:10Z iliaa $
SQLite Library => 2.8.17
SQLite Encoding => iso8859

Directive => Local Value => Master Value
sqlite.assoc_case => 0 => 0

sqlite3

SQLite3 support => enabled
SQLite3 module version => 0.7-dev
SQLite Library => 3.6.23.1

Directive => Local Value => Master Value
sqlite3.extension_dir => no value => no value

standard

Dynamic Library Support => enabled
Path to sendmail => /usr/sbin/sendmail -t -i 

Directive => Local Value => Master Value
assert.active => 1 => 1
assert.bail => 0 => 0
assert.callback => no value => no value
assert.quiet_eval => 0 => 0
assert.warning => 1 => 1
auto_detect_line_endings => 0 => 0
default_socket_timeout => 60 => 60
safe_mode_allowed_env_vars => PHP_ => PHP_
safe_mode_protected_env_vars => LD_LIBRARY_PATH => LD_LIBRARY_PATH
url_rewriter.tags => a=href,area=href,frame=src,input=src,form=fakeentry => a=href,area=href,frame=src,input=src,form=fakeentry
user_agent => no value => no value

tokenizer

Tokenizer Support => enabled

xdebug

xdebug support => enabled
Version => 2.1.0

Supported protocols => Revision
DBGp - Common DeBuGger Protocol => $Revision: 1.145 $

Directive => Local Value => Master Value
xdebug.auto_trace => Off => Off
xdebug.collect_assignments => Off => Off
xdebug.collect_includes => On => On
xdebug.collect_params => 0 => 0
xdebug.collect_return => Off => Off
xdebug.collect_vars => Off => Off
xdebug.default_enable => On => On
xdebug.dump.COOKIE => no value => no value
xdebug.dump.ENV => no value => no value
xdebug.dump.FILES => no value => no value
xdebug.dump.GET => no value => no value
xdebug.dump.POST => no value => no value
xdebug.dump.REQUEST => no value => no value
xdebug.dump.SERVER => no value => no value
xdebug.dump.SESSION => no value => no value
xdebug.dump_globals => On => On
xdebug.dump_once => On => On
xdebug.dump_undefined => Off => Off
xdebug.extended_info => On => On
xdebug.file_link_format => no value => no value
xdebug.idekey => kitt => no value
xdebug.manual_url => http://www.php.net => http://www.php.net
xdebug.max_nesting_level => 100 => 100
xdebug.overload_var_dump => On => On
xdebug.profiler_aggregate => Off => Off
xdebug.profiler_append => Off => Off
xdebug.profiler_enable => Off => Off
xdebug.profiler_enable_trigger => Off => Off
xdebug.profiler_output_dir => /tmp => /tmp
xdebug.profiler_output_name => cachegrind.out.%p => cachegrind.out.%p
xdebug.remote_autostart => On => On
xdebug.remote_connect_back => Off => Off
xdebug.remote_cookie_expire_time => 3600 => 3600
xdebug.remote_enable => On => On
xdebug.remote_handler => dbgp => dbgp
xdebug.remote_host => localhost => localhost
xdebug.remote_log => /tmp/xdebug.log => /tmp/xdebug.log
xdebug.remote_mode => req => req
xdebug.remote_port => 9000 => 9000
xdebug.scream => Off => Off
xdebug.show_exception_trace => Off => Off
xdebug.show_local_vars => Off => Off
xdebug.show_mem_delta => Off => Off
xdebug.trace_format => 0 => 0
xdebug.trace_options => 0 => 0
xdebug.trace_output_dir => /tmp => /tmp
xdebug.trace_output_name => trace.%c => trace.%c
xdebug.var_display_max_children => 128 => 128
xdebug.var_display_max_data => 512 => 512
xdebug.var_display_max_depth => 3 => 3

xml

XML Support => active
XML Namespace Support => active
libxml2 Version => 2.7.7

xmlreader

XMLReader => enabled

xmlwriter

XMLWriter => enabled

Additional Modules

Module Name

Environment

Variable => Value
ORBIT_SOCKETDIR => /tmp/orbit-kitt
SSH_AGENT_PID => 19103
TERM => xterm
SHELL => /bin/bash
XDG_SESSION_COOKIE => 8a1c86a976d26dce11db9c600000000c-1301647631.898409-1666919602
WINDOWID => 25165827
OLDPWD => /home/kitt/Загрузки/php/php5-5.3.3
GNOME_KEYRING_CONTROL => /tmp/keyring-53OVp6
GTK_MODULES => canberra-gtk-module
USER => kitt
LS_COLORS => rs=0:di=01;34:ln=01;36:mh=00:pi=40;33:so=01;35:do=01;35:bd=40;33;01:cd=40;33;01:or=40;31;01:su=37;41:sg=30;43:ca=30;41:tw=30;42:ow=34;42:st=37;44:ex=01;32:*.tar=01;31:*.tgz=01;31:*.arj=01;31:*.taz=01;31:*.lzh=01;31:*.lzma=01;31:*.tlz=01;31:*.txz=01;31:*.zip=01;31:*.z=01;31:*.Z=01;31:*.dz=01;31:*.gz=01;31:*.lz=01;31:*.xz=01;31:*.bz2=01;31:*.bz=01;31:*.tbz=01;31:*.tbz2=01;31:*.tz=01;31:*.deb=01;31:*.rpm=01;31:*.jar=01;31:*.rar=01;31:*.ace=01;31:*.zoo=01;31:*.cpio=01;31:*.7z=01;31:*.rz=01;31:*.jpg=01;35:*.jpeg=01;35:*.gif=01;35:*.bmp=01;35:*.pbm=01;35:*.pgm=01;35:*.ppm=01;35:*.tga=01;35:*.xbm=01;35:*.xpm=01;35:*.tif=01;35:*.tiff=01;35:*.png=01;35:*.svg=01;35:*.svgz=01;35:*.mng=01;35:*.pcx=01;35:*.mov=01;35:*.mpg=01;35:*.mpeg=01;35:*.m2v=01;35:*.mkv=01;35:*.ogm=01;35:*.mp4=01;35:*.m4v=01;35:*.mp4v=01;35:*.vob=01;35:*.qt=01;35:*.nuv=01;35:*.wmv=01;35:*.asf=01;35:*.rm=01;35:*.rmvb=01;35:*.flc=01;35:*.avi=01;35:*.fli=01;35:*.flv=01;35:*.gl=01;35:*.dl=01;35:*.xcf=01;35:*.xwd=01;35:*.yuv=01;35:*.cgm=01;35:*.emf=01;35:*.axv=01;35:*.anx=01;35:*.ogv=01;35:*.ogx=01;35:*.aac=00;36:*.au=00;36:*.flac=00;36:*.mid=00;36:*.midi=00;36:*.mka=00;36:*.mp3=00;36:*.mpc=00;36:*.ogg=00;36:*.ra=00;36:*.wav=00;36:*.axa=00;36:*.oga=00;36:*.spx=00;36:*.xspf=00;36:
SSH_AUTH_SOCK => /tmp/keyring-53OVp6/ssh
DEFAULTS_PATH => /usr/share/gconf/gnome.default.path
SESSION_MANAGER => local/kitt-dell:@/tmp/.ICE-unix/19073,unix/kitt-dell:/tmp/.ICE-unix/19073
USERNAME => kitt
XDG_CONFIG_DIRS => /etc/xdg/xdg-gnome:/etc/xdg
DESKTOP_SESSION => gnome
PATH => /usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games
PWD => /tmp
GDM_KEYBOARD_LAYOUT => us
LANG => ru_RU.utf8
GNOME_KEYRING_PID => 19054
MANDATORY_PATH => /usr/share/gconf/gnome.mandatory.path
GDM_LANG => ru_RU.utf8
GDMSESSION => gnome
SHLVL => 1
HOME => /home/kitt
GNOME_DESKTOP_SESSION_ID => this-is-deprecated
LOGNAME => kitt
XDG_DATA_DIRS => /usr/share/gnome:/usr/local/share/:/usr/share/
DBUS_SESSION_BUS_ADDRESS => unix:abstract=/tmp/dbus-IvoAgtu7p7,guid=0b90f5884dc04be8e2e553290008636b
LESSOPEN => | /usr/bin/lesspipe %s
WINDOWPATH => 8
DISPLAY => :1.0
LESSCLOSE => /usr/bin/lesspipe %s %s
XAUTHORITY => /var/run/gdm/auth-for-kitt-YKlaNZ/database
COLORTERM => gnome-terminal
_ => /usr/local/bin/php

PHP Variables

Variable => Value
_SERVER["ORBIT_SOCKETDIR"] => /tmp/orbit-kitt
_SERVER["SSH_AGENT_PID"] => 19103
_SERVER["TERM"] => xterm
_SERVER["SHELL"] => /bin/bash
_SERVER["XDG_SESSION_COOKIE"] => 8a1c86a976d26dce11db9c600000000c-1301647631.898409-1666919602
_SERVER["WINDOWID"] => 25165827
_SERVER["OLDPWD"] => /home/kitt/Загрузки/php/php5-5.3.3
_SERVER["GNOME_KEYRING_CONTROL"] => /tmp/keyring-53OVp6
_SERVER["GTK_MODULES"] => canberra-gtk-module
_SERVER["USER"] => kitt
_SERVER["LS_COLORS"] => rs=0:di=01;34:ln=01;36:mh=00:pi=40;33:so=01;35:do=01;35:bd=40;33;01:cd=40;33;01:or=40;31;01:su=37;41:sg=30;43:ca=30;41:tw=30;42:ow=34;42:st=37;44:ex=01;32:*.tar=01;31:*.tgz=01;31:*.arj=01;31:*.taz=01;31:*.lzh=01;31:*.lzma=01;31:*.tlz=01;31:*.txz=01;31:*.zip=01;31:*.z=01;31:*.Z=01;31:*.dz=01;31:*.gz=01;31:*.lz=01;31:*.xz=01;31:*.bz2=01;31:*.bz=01;31:*.tbz=01;31:*.tbz2=01;31:*.tz=01;31:*.deb=01;31:*.rpm=01;31:*.jar=01;31:*.rar=01;31:*.ace=01;31:*.zoo=01;31:*.cpio=01;31:*.7z=01;31:*.rz=01;31:*.jpg=01;35:*.jpeg=01;35:*.gif=01;35:*.bmp=01;35:*.pbm=01;35:*.pgm=01;35:*.ppm=01;35:*.tga=01;35:*.xbm=01;35:*.xpm=01;35:*.tif=01;35:*.tiff=01;35:*.png=01;35:*.svg=01;35:*.svgz=01;35:*.mng=01;35:*.pcx=01;35:*.mov=01;35:*.mpg=01;35:*.mpeg=01;35:*.m2v=01;35:*.mkv=01;35:*.ogm=01;35:*.mp4=01;35:*.m4v=01;35:*.mp4v=01;35:*.vob=01;35:*.qt=01;35:*.nuv=01;35:*.wmv=01;35:*.asf=01;35:*.rm=01;35:*.rmvb=01;35:*.flc=01;35:*.avi=01;35:*.fli=01;35:*.flv=01;35:*.gl=01;35:*.dl=01;35:*.xcf=01;35:*.xwd=01;35:*.yuv=01;35:*.cgm=01;35:*.emf=01;35:*.axv=01;35:*.anx=01;35:*.ogv=01;35:*.ogx=01;35:*.aac=00;36:*.au=00;36:*.flac=00;36:*.mid=00;36:*.midi=00;36:*.mka=00;36:*.mp3=00;36:*.mpc=00;36:*.ogg=00;36:*.ra=00;36:*.wav=00;36:*.axa=00;36:*.oga=00;36:*.spx=00;36:*.xspf=00;36:
_SERVER["SSH_AUTH_SOCK"] => /tmp/keyring-53OVp6/ssh
_SERVER["DEFAULTS_PATH"] => /usr/share/gconf/gnome.default.path
_SERVER["SESSION_MANAGER"] => local/kitt-dell:@/tmp/.ICE-unix/19073,unix/kitt-dell:/tmp/.ICE-unix/19073
_SERVER["USERNAME"] => kitt
_SERVER["XDG_CONFIG_DIRS"] => /etc/xdg/xdg-gnome:/etc/xdg
_SERVER["DESKTOP_SESSION"] => gnome
_SERVER["PATH"] => /usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games
_SERVER["PWD"] => /tmp
_SERVER["GDM_KEYBOARD_LAYOUT"] => us
_SERVER["LANG"] => ru_RU.utf8
_SERVER["GNOME_KEYRING_PID"] => 19054
_SERVER["MANDATORY_PATH"] => /usr/share/gconf/gnome.mandatory.path
_SERVER["GDM_LANG"] => ru_RU.utf8
_SERVER["GDMSESSION"] => gnome
_SERVER["SHLVL"] => 1
_SERVER["HOME"] => /home/kitt
_SERVER["GNOME_DESKTOP_SESSION_ID"] => this-is-deprecated
_SERVER["LOGNAME"] => kitt
_SERVER["XDG_DATA_DIRS"] => /usr/share/gnome:/usr/local/share/:/usr/share/
_SERVER["DBUS_SESSION_BUS_ADDRESS"] => unix:abstract=/tmp/dbus-IvoAgtu7p7,guid=0b90f5884dc04be8e2e553290008636b
_SERVER["LESSOPEN"] => | /usr/bin/lesspipe %s
_SERVER["WINDOWPATH"] => 8
_SERVER["DISPLAY"] => :1.0
_SERVER["LESSCLOSE"] => /usr/bin/lesspipe %s %s
_SERVER["XAUTHORITY"] => /var/run/gdm/auth-for-kitt-YKlaNZ/database
_SERVER["COLORTERM"] => gnome-terminal
_SERVER["_"] => /usr/local/bin/php
_SERVER["PHP_SELF"] => 
_SERVER["SCRIPT_NAME"] => 
_SERVER["SCRIPT_FILENAME"] => 
_SERVER["PATH_TRANSLATED"] => 
_SERVER["DOCUMENT_ROOT"] => 
_SERVER["REQUEST_TIME"] => 1302308796
_SERVER["argv"] => Array
(
)

_SERVER["argc"] => 0

PHP License
This program is free software; you can redistribute it and/or modify
it under the terms of the PHP License as published by the PHP Group
and included in the distribution in the file:  LICENSE

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

If you did not receive a copy of the PHP license, or have any
questions about PHP licensing, please contact license@php.net.


///////////////////////////////////////////////////////////////////////////
gdb-bt-full2.txt (28,649 bytes)

kitt

2011-04-09 00:30

reporter   ~0001716

i recompile php and xdebug from source and upload second file "gdb-bt-full2.txt", may be it will provide more info.

kitt

2011-04-09 00:40

reporter  

core-kitt-dell-php.612.gz (257,913 bytes)

kitt

2011-04-09 00:41

reporter   ~0001717

add core file

kitt

2011-04-23 19:24

reporter   ~0001725

check on windows - error continues

kitt

2011-05-04 11:45

reporter   ~0001741

upgrade to xdebug from svn (revision 3440) and php5 5.3.5, error still reproduces in same way. See gdb-bt-full-php5.3.5.txt

kitt

2011-05-04 11:45

reporter  

gdb-bt-full-php5.3.5.txt (9,668 bytes)
kitt@kitt-dell:~/scripts$ gdb --args php -f /var/www/test.php
GNU gdb (Ubuntu/Linaro 7.2-1ubuntu11) 7.2
Copyright (C) 2010 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "i686-linux-gnu".
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>...
Reading symbols from /usr/local/bin/php...done.
(gdb) c
The program is not being run.
(gdb) r
Starting program: /usr/local/bin/php -f /var/www/test.php
[Thread debugging using libthread_db enabled]

Program received signal SIGSEGV, Segmentation fault.
0x083da8ff in _zval_dtor_func (zvalue=0xbfffcb30, __zend_filename=0xb78e5fe8 "/home/kitt/foxdl/xdebugsvn/xdebug/xdebug_handler_dbgp.c", __zend_lineno=1225)
    at /home/kitt/Загрузки/php/php5-5.3.5/Zend/zend_variables.c:52
52					Z_OBJ_HT_P(zvalue)->del_ref(zvalue TSRMLS_CC);
(gdb) bt full
#0  0x083da8ff in _zval_dtor_func (zvalue=0xbfffcb30, __zend_filename=0xb78e5fe8 "/home/kitt/foxdl/xdebugsvn/xdebug/xdebug_handler_dbgp.c", 
    __zend_lineno=1225) at /home/kitt/Загрузки/php/php5-5.3.5/Zend/zend_variables.c:52
No locals.
#1  0xb78c8010 in _zval_dtor (zvalue=0xbfffcb30, __zend_filename=0xb78e5fe8 "/home/kitt/foxdl/xdebugsvn/xdebug/xdebug_handler_dbgp.c", __zend_lineno=1225)
    at /usr/local/include/php/Zend/zend_variables.h:35
No locals.
#2  0xb78cd54c in xdebug_dbgp_handle_eval (retval=0xbfffcc4c, context=0xb78edddc, args=0x88ec6a8)
    at /home/kitt/foxdl/xdebugsvn/xdebug/xdebug_handler_dbgp.c:1225
        eval_string = 0x88797ac 'Z' <repeats 26 times>, "\001\251\020\064\020\064\200\312Z6A"
        ret_xml = 0x88ee4e0
        ret_zval = {value = {lval = 32, dval = 6.3659873887059176e-314, str = {val = 0x20 <Address 0x20 out of bounds>, len = 3}, ht = 0x20, obj = {
              handle = 32, handlers = 0x3}}, refcount__gc = 3084932088, type = 229 '\345', is_ref__gc = 60 '<'}
        new_length = 18
        res = -1215377420
        options = 0x88ab448
#3  0xb78d380d in xdebug_dbgp_parse_option (context=0xb78edddc, line=0x88ec750 "eval -i 19 -- bmV3IE5vbkV4aXN0c0NsYXNz\n", flags=0, retval=0x88ab468)
    at /home/kitt/foxdl/xdebugsvn/xdebug/xdebug_handler_dbgp.c:2261
        cmd = 0x88ec7a8 "eval"
        res = 0
        ret = 0
        args = 0x88ec6a8
        command = 0xb78ed990
        error = 0xbfffcc38
#4  0xb78d3bab in xdebug_dbgp_cmdloop (context=0xb78edddc, bail=1) at /home/kitt/foxdl/xdebugsvn/xdebug/xdebug_handler_dbgp.c:2310
        option = 0x88ec750 "eval -i 19 -- bmV3IE5vbkV4aXN0c0NsYXNz\n"
        ret = 0
        response = 0x88ab468
#5  0xb78d523d in xdebug_dbgp_breakpoint (context=0xb78edddc, stack=0x88eb828, file=0x887aa20 "/var/www/test.php", lineno=2, type=2, exception=0x0, 
    message=0x0) at /home/kitt/foxdl/xdebugsvn/xdebug/xdebug_handler_dbgp.c:2613
        response = 0x88ab468
        error_container = 0x88ec778
#6  0xb78c5bad in xdebug_statement_call (op_array=0x887b090) at /home/kitt/foxdl/xdebugsvn/xdebug/xdebug.c:1804
        le = 0x88ab4a8
        brk = 0x0
        fse = 0x88ee450
        lineno = 2
        file = 0x887aa20 "/var/www/test.php"
        level = 1
#7  0x08407fd7 in zend_extension_statement_handler (extension=0x87b9228, op_array=0x887b090)
    at /home/kitt/Загрузки/php/php5-5.3.5/Zend/zend_execute.c:740
No locals.
#8  0x083d1ac6 in zend_llist_apply_with_argument (l=0x877f76c, func=0x8407fb9 <zend_extension_statement_handler>, arg=0x887b090)
---Type <return> to continue, or q <return> to quit---
    at /home/kitt/Загрузки/php/php5-5.3.5/Zend/zend_llist.c:236
        element = 0x87b9220
#9  0x0840ade3 in ZEND_EXT_STMT_SPEC_HANDLER (execute_data=0x88ab508) at /home/kitt/Загрузки/php/php5-5.3.5/Zend/zend_vm_execute.h:530
No locals.
#10 0x0840b547 in ZEND_USER_OPCODE_SPEC_HANDLER (execute_data=0x88ab508) at /home/kitt/Загрузки/php/php5-5.3.5/Zend/zend_vm_execute.h:706
        ret = 2
#11 0x084098a4 in execute (op_array=0x887b090) at /home/kitt/Загрузки/php/php5-5.3.5/Zend/zend_vm_execute.h:107
        ret = -1208001472
        execute_data = 0x88ab508
        nested = 1 '\001'
        original_in_execution = 0 '\000'
#12 0xb78c45f9 in xdebug_execute (op_array=0x887b090) at /home/kitt/foxdl/xdebugsvn/xdebug/xdebug.c:1303
        dummy = 0x8786d00
        edata = 0x0
        fse = 0x88ee450
        xfse = 0x88ee450
        magic_cookie = 0x0
        do_return = 0
        function_nr = 0
        le = 0x88ab4a8
        eval_id = 0
        clear = 1
        return_val = 0x0
#13 0x083dce63 in zend_execute_scripts (type=8, retval=0x0, file_count=3) at /home/kitt/Загрузки/php/php5-5.3.5/Zend/zend.c:1194
        files = 0xbfffcfe4 ""
        i = 1
        file_handle = 0xbffff294
        orig_op_array = 0x0
        orig_retval_ptr_ptr = 0x0
#14 0x083732e2 in php_execute_script (primary_file=0xbffff294) at /home/kitt/Загрузки/php/php5-5.3.5/main/main.c:2265
        realfile = "/var/www/test.php", '\000' <repeats 1247 times>"\356, Gѷ", '\000' <repeats 12 times>"\345, <ѷ", '\000' <repeats 20 times>, "\021\000\000\000\021\000\000\000\201\000\000\000\370Sෟ\345ݷ\210", '\000' <repeats 15 times>"\240, \342{\b8\000\000\000\250\333{\b\364?\340\267`\333{\b \342{\b\344\346\377\277\001`ѷ \342{\bh\333{\bD\000\000\000\356Gѷ\300\351\377\277\064\244;\b߀÷Լw\b\004\000\000\000\206\255;\b\300\234÷Լw\b\004\000\000\000\023\000\000\000\023\000\000\000\220\000\000\000\370Sෟ\345ݷ\230\000\000\000+\253۷\000\000\000\000߀÷\254\200÷\000\000\000\000\360S\340\267\364?\340\267\300S\340\267\001", '\000' <repeats 11 times>, ",\256̷\205\251۷\300\351\377\277\206\263;\bԀ÷Z\000\000\000\v\000\000\000LEu\b\362\a\000\000\000\000\000\000\000\000\000\000\300"...
        __orig_bailout = 0xbffff1ac
        __bailout = {{__jmpbuf = {-1073749820, 0, -1073749760, -1073745560, 893185690, -1530672651}, __mask_was_saved = 0, __saved_mask = {__val = {
                3087003636, 134578279, 1, 3221217424, 3086940721, 3087006416, 3084945240, 1, 1, 0, 201, 0, 3083921636, 134555644, 0, 3083514864, 141986624, 
                3084926964, 3084928224, 3221217448, 3083873713, 3084928224, 141986624, 141986772, 142078228, 3221217480, 139044444, 3084928224, 0, 
                3084932080, 0, 3084932032}}}}
        prepend_file_p = 0x0
---Type <return> to continue, or q <return> to quit---
        append_file_p = 0x0
        prepend_file = {type = ZEND_HANDLE_FILENAME, filename = 0x0, opened_path = 0x0, handle = {fd = 0, fp = 0x0, stream = {handle = 0x0, isatty = 0, 
              mmap = {len = 0, pos = 0, map = 0x0, buf = 0x0, old_handle = 0x0, old_closer = 0}, reader = 0, fsizer = 0, closer = 0}}, 
          free_filename = 0 '\000'}
        append_file = {type = ZEND_HANDLE_FILENAME, filename = 0x0, opened_path = 0x0, handle = {fd = 0, fp = 0x0, stream = {handle = 0x0, isatty = 0, 
              mmap = {len = 0, pos = 0, map = 0x0, buf = 0x0, old_handle = 0x0, old_closer = 0}, reader = 0, fsizer = 0, closer = 0}}, 
          free_filename = 0 '\000'}
        old_cwd = 0xbfffd000 ""
        use_heap = 0 '\000'
        retval = 0
#15 0x0849be8a in main (argc=3, argv=0xbffff424) at /home/kitt/Загрузки/php/php5-5.3.5/sapi/cli/php_cli.c:1193
        __orig_bailout = 0x0
        __bailout = {{__jmpbuf = {-1210040332, 0, 0, -1073745032, 893496986, 1506363893}, __mask_was_saved = 0, __saved_mask = {__val = {909653609, 
                0 <repeats 15 times>, 1869490176, 2712942, 0, 0, 3086922054, 3083573651, 134592715, 0, 0, 3084945240, 2, 3086947797, 134561122, 3086470464, 
                3087003636, 3083512808}}}}
        exit_status = 0
        c = -1
        file_handle = {type = ZEND_HANDLE_MAPPED, filename = 0xbffff5c3 "/var/www/test.php", opened_path = 0x0, handle = {fd = 143110796, fp = 0x887b28c, 
            stream = {handle = 0x887b28c, isatty = 0, mmap = {len = 21, pos = 0, map = 0xb7fdb000, 
                buf = 0xb7fdb000 "\300dз\302\027\375\267\322\027\375\267p\210ط\362\027\375\267\002\030\375\267\022\030\375\267\"\030\375\267\062\030\375\267B\030\375\267R\030\375\267b\030\375\267r\030\375\267\202\030\375\267\360\301ѷ\242\030\375\267\262\030\375\267\302\030\375\267\322\030\375\267@cط@\217з\002\031\375\267\200\261̷\200(з2\031\375\267 cɷp\272۷b\031\375\267\360\026ҷ`3з\222\031\375\267Pxɷ\262\031\375\267\302\031\375\267\322\031\375\267\342\031\375\267\362\031\375\267\002\032\375\267\022\032\375\267\020\327ѷ@tַB\032\375\267\260<ܷb\032\375\267r\032\375\267\340\302ѷ\270\260", <incomplete sequence \375\267>, old_handle = 0x88ab360, old_closer = 0x83f4551 <zend_stream_stdio_closer>}, reader = 0x83f4528 <zend_stream_stdio_reader>, 
              fsizer = 0x83f4576 <zend_stream_stdio_fsizer>, closer = 0x83f4659 <zend_stream_mmap_closer>}}, free_filename = 0 '\000'}
        behavior = 1
        reflection_what = 0x0
        orig_optind = 1
        orig_optarg = 0x0
        arg_free = 0xbffff5c3 "/var/www/test.php"
        arg_excp = 0xbffff42c
        script_file = 0xbffff5c3 "/var/www/test.php"
        interactive = 0
        module_started = 1
        request_started = 1
        lineno = 1
        exec_direct = 0x0
        exec_run = 0x0
        exec_begin = 0x0
        exec_end = 0x0
        param_error = 0x0
        hide_argv = 0
---Type <return> to continue, or q <return> to quit---
        ini_entries_len = 110
(gdb) q
A debugging session is active.

	Inferior 1 [process 2838] will be killed.

Quit anyway? (y or n) y
gdb-bt-full-php5.3.5.txt (9,668 bytes)

derick

2011-08-05 13:17

administrator   ~0001771

I think I have this fixed now, could you try xdebug 2.1.2 + this patch: http://derickrethans.nl/files/dump/xdebug-issue606.diff.txt please?

derick

2011-08-13 15:18

administrator   ~0001776

Fixed for 2.1.3 and 2.2dev.

Issue History

Date Modified Username Field Change
2011-04-04 14:03 kitt New Issue
2011-04-04 14:09 kitt Note Added: 0001713
2011-04-04 14:17 kitt Note Edited: 0001713 View Revisions
2011-04-05 14:42 kitt File Added: gdb-bt-full.txt
2011-04-09 00:28 kitt File Added: gdb-bt-full2.txt
2011-04-09 00:30 kitt Note Added: 0001716
2011-04-09 00:40 kitt File Added: core-kitt-dell-php.612.gz
2011-04-09 00:41 kitt Note Added: 0001717
2011-04-23 19:24 kitt Note Added: 0001725
2011-05-04 11:45 kitt Note Added: 0001741
2011-05-04 11:45 kitt File Added: gdb-bt-full-php5.3.5.txt
2011-08-05 13:17 derick Note Added: 0001771
2011-08-05 13:17 derick Assigned To => derick
2011-08-05 13:17 derick Status new => feedback
2011-08-13 15:18 derick Note Added: 0001776
2011-08-13 15:18 derick Status feedback => closed
2011-08-13 15:18 derick Resolution open => fixed
2016-07-31 12:36 derick Category Usage problems => Usage problems (Crashes)
2016-07-31 12:38 derick Category Usage problems (Crashes) => Usage problems (Wrong Results)